# Generated by the Protocol Buffers compiler. DO NOT EDIT!
# source: recorder/v1/recorder.proto
# plugin: grpclib.plugin.main
import abc
import typing

import grpclib.const
import grpclib.client
if typing.TYPE_CHECKING:
    import grpclib.server

import google.protobuf.timestamp_pb2
import recorder.v1.recorder_pb2


class RecorderServiceBase(abc.ABC):

    @abc.abstractmethod
    async def Record(self, stream: 'grpclib.server.Stream[recorder.v1.recorder_pb2.RecordRequest, recorder.v1.recorder_pb2.RecordResponse]') -> None:
        pass

    def __mapping__(self) -> typing.Dict[str, grpclib.const.Handler]:
        return {
            '/recorder.v1.RecorderService/Record': grpclib.const.Handler(
                self.Record,
                grpclib.const.Cardinality.UNARY_UNARY,
                recorder.v1.recorder_pb2.RecordRequest,
                recorder.v1.recorder_pb2.RecordResponse,
            ),
        }


class RecorderServiceStub:

    def __init__(self, channel: grpclib.client.Channel) -> None:
        self.Record = grpclib.client.UnaryUnaryMethod(
            channel,
            '/recorder.v1.RecorderService/Record',
            recorder.v1.recorder_pb2.RecordRequest,
            recorder.v1.recorder_pb2.RecordResponse,
        )
